<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxStyleUtils (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxStyleUtils (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStyleUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxStyleUtils" class="title">Class mxStyleUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxStyleUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxStyleUtils</span>
extends java.lang.Object</pre>
<div class="block">Contains various style helper methods for use with mxGraph.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxStyleUtils</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addStylename(java.lang.String,java.lang.String)">addStylename</a></span>&#8203;(java.lang.String&nbsp;style,
            java.lang.String&nbsp;stylename)</code></th>
<td class="colLast">
<div class="block">Adds the specified stylename to the given style if it does not already
 contain the stylename.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStylename(java.lang.String)">getStylename</a></span>&#8203;(java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Returns the stylename in a style of the form stylename[;key=value] or an
 empty string if the given style does not contain a stylename.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStylenames(java.lang.String)">getStylenames</a></span>&#8203;(java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Returns the stylenames in a style of the form stylename[;key=value] or an
 empty array if the given style does not contain any stylenames.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#indexOfStylename(java.lang.String,java.lang.String)">indexOfStylename</a></span>&#8203;(java.lang.String&nbsp;style,
                java.lang.String&nbsp;stylename)</code></th>
<td class="colLast">
<div class="block">Returns the index of the given stylename in the given style.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeAllStylenames(java.lang.String)">removeAllStylenames</a></span>&#8203;(java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Removes all stylenames from the given style and returns the updated
 style.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeStylename(java.lang.String,java.lang.String)">removeStylename</a></span>&#8203;(java.lang.String&nbsp;style,
               java.lang.String&nbsp;stylename)</code></th>
<td class="colLast">
<div class="block">Removes all occurrences of the specified stylename in the given style and
 returns the updated style.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCellStyleFlags(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object%5B%5D,java.lang.String,int,java.lang.Boolean)">setCellStyleFlags</a></span>&#8203;(<a href="../model/mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
                 java.lang.Object[]&nbsp;cells,
                 java.lang.String&nbsp;key,
                 int&nbsp;flag,
                 java.lang.Boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets or toggles the flag bit for the given key in the cell's styles.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCellStyles(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object%5B%5D,java.lang.String,java.lang.String)">setCellStyles</a></span>&#8203;(<a href="../model/mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
             java.lang.Object[]&nbsp;cells,
             java.lang.String&nbsp;key,
             java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Assigns the value for the given key in the styles of the given cells, or
 removes the key from the styles if the value is null.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStyle(java.lang.String,java.lang.String,java.lang.String)">setStyle</a></span>&#8203;(java.lang.String&nbsp;style,
        java.lang.String&nbsp;key,
        java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds or removes the given key, value pair to the style and returns the
 new style.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStyleFlag(java.lang.String,java.lang.String,int,java.lang.Boolean)">setStyleFlag</a></span>&#8203;(java.lang.String&nbsp;style,
            java.lang.String&nbsp;key,
            int&nbsp;flag,
            java.lang.Boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets or removes the given key from the specified style and returns the
 new style.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxStyleUtils</h4>
<pre>public&nbsp;mxStyleUtils()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getStylename(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStylename</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getStylename&#8203;(java.lang.String&nbsp;style)</pre>
<div class="block">Returns the stylename in a style of the form stylename[;key=value] or an
 empty string if the given style does not contain a stylename.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - String of the form stylename[;key=value].</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the stylename from the given formatted string.</dd>
</dl>
</li>
</ul>
<a id="getStylenames(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStylenames</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String[]&nbsp;getStylenames&#8203;(java.lang.String&nbsp;style)</pre>
<div class="block">Returns the stylenames in a style of the form stylename[;key=value] or an
 empty array if the given style does not contain any stylenames.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - String of the form stylename[;stylename][;key=value].</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the stylename from the given formatted string.</dd>
</dl>
</li>
</ul>
<a id="indexOfStylename(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexOfStylename</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;indexOfStylename&#8203;(java.lang.String&nbsp;style,
                                   java.lang.String&nbsp;stylename)</pre>
<div class="block">Returns the index of the given stylename in the given style. This returns
 -1 if the given stylename does not occur (as a stylename) in the given
 style, otherwise it returns the index of the first character.</div>
</li>
</ul>
<a id="addStylename(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStylename</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;addStylename&#8203;(java.lang.String&nbsp;style,
                                            java.lang.String&nbsp;stylename)</pre>
<div class="block">Adds the specified stylename to the given style if it does not already
 contain the stylename.</div>
</li>
</ul>
<a id="removeStylename(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeStylename</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;removeStylename&#8203;(java.lang.String&nbsp;style,
                                               java.lang.String&nbsp;stylename)</pre>
<div class="block">Removes all occurrences of the specified stylename in the given style and
 returns the updated style. Trailing semicolons are preserved.</div>
</li>
</ul>
<a id="removeAllStylenames(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAllStylenames</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;removeAllStylenames&#8203;(java.lang.String&nbsp;style)</pre>
<div class="block">Removes all stylenames from the given style and returns the updated
 style.</div>
</li>
</ul>
<a id="setCellStyles(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object[],java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCellStyles</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;setCellStyles&#8203;(<a href="../model/mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
                                 java.lang.Object[]&nbsp;cells,
                                 java.lang.String&nbsp;key,
                                 java.lang.String&nbsp;value)</pre>
<div class="block">Assigns the value for the given key in the styles of the given cells, or
 removes the key from the styles if the value is null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - Model to execute the transaction in.</dd>
<dd><code>cells</code> - Array of cells to be updated.</dd>
<dd><code>key</code> - Key of the style to be changed.</dd>
<dd><code>value</code> - New value for the given key.</dd>
</dl>
</li>
</ul>
<a id="setStyle(java.lang.String,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStyle</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;setStyle&#8203;(java.lang.String&nbsp;style,
                                        java.lang.String&nbsp;key,
                                        java.lang.String&nbsp;value)</pre>
<div class="block">Adds or removes the given key, value pair to the style and returns the
 new style. If value is null or zero length then the key is removed from
 the style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - String of the form <code>stylename[;key=value]</code>.</dd>
<dd><code>key</code> - Key of the style to be changed.</dd>
<dd><code>value</code> - New value for the given key.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new style.</dd>
</dl>
</li>
</ul>
<a id="setCellStyleFlags(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object[],java.lang.String,int,java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCellStyleFlags</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;setCellStyleFlags&#8203;(<a href="../model/mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
                                     java.lang.Object[]&nbsp;cells,
                                     java.lang.String&nbsp;key,
                                     int&nbsp;flag,
                                     java.lang.Boolean&nbsp;value)</pre>
<div class="block">Sets or toggles the flag bit for the given key in the cell's styles. If
 value is null then the flag is toggled.
 
 <code>
 mxUtils.setCellStyleFlags(graph.getModel(),
                        cells,
                        mxConstants.STYLE_FONTSTYLE,
                        mxConstants.FONT_BOLD, null);
 </code>
 
 Toggles the bold font style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - Model that contains the cells.</dd>
<dd><code>cells</code> - Array of cells to change the style for.</dd>
<dd><code>key</code> - Key of the style to be changed.</dd>
<dd><code>flag</code> - Integer for the bit to be changed.</dd>
<dd><code>value</code> - Optional boolean value for the flag.</dd>
</dl>
</li>
</ul>
<a id="setStyleFlag(java.lang.String,java.lang.String,int,java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setStyleFlag</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;setStyleFlag&#8203;(java.lang.String&nbsp;style,
                                            java.lang.String&nbsp;key,
                                            int&nbsp;flag,
                                            java.lang.Boolean&nbsp;value)</pre>
<div class="block">Sets or removes the given key from the specified style and returns the
 new style. If value is null then the flag is toggled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - String of the form stylename[;key=value].</dd>
<dd><code>key</code> - Key of the style to be changed.</dd>
<dd><code>flag</code> - Integer for the bit to be changed.</dd>
<dd><code>value</code> - Optional boolean value for the given flag.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStyleUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
